## autovideosink autovideosink — Wrapper video sink for automatically detected video sink |

## Properties

GstCaps * | filter-caps | Read / Write

## Types and Values

| GstAutoVideoSink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBin
                    ╰── GstAutoVideoSink

## Implemented Interfaces

GstAutoVideoSink implements GstChildProxy.

## Description

autovideosink is a video sink that automatically detects an appropriate video sink to use. It does so by scanning the registry for all elements that have “Sink” and “Video” in the class field of their element information, and also have a non-zero autoplugging rank.

### Example launch line

    1
    gst-launch -v -m videotestsrc ! autovideosink

## Synopsis

### Element Information

plugin | autodetect
author | Jan Schmidt <thaytan@noraisin.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### GstAutoVideoSink

    typedef struct _GstAutoVideoSink GstAutoVideoSink;

## Property Details

### The `“filter-caps”` property

      “filter-caps”              GstCaps *

This property will filter out candidate sinks that can handle the specified caps. By default only video sinks that support raw rgb and yuv video are selected.

This property can only be set before the element goes to the READY state.

Flags: Read / Write

Since 0.10.7

## See Also

autoaudiosink, ximagesink, xvimagesink, sdlvideosink